JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
await client.brands.delete('brand_id');import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.brands.delete(
"brand_id",
)package main
import (
"context"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Brands.Delete(context.TODO(), "brand_id")
if err != nil {
panic(err.Error())
}
}
package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.brands.BrandDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
client.brands().delete("brand_id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
result = courier.brands.delete("brand_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$result = $client->brands->delete('brand_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using TryCourier;
using TryCourier.Models.Brands;
CourierClient client = new();
BrandDeleteParams parameters = new() { BrandID = "brand_id" };
await client.Brands.Delete(parameters);courier brands delete \
--api-key 'My API Key' \
--brand-id brand_idcurl --request DELETE \
--url https://api.courier.com/brands/{brand_id} \
--header 'Authorization: Bearer <token>'{
"message": "Example message text",
"type": "invalid_request_error"
}Brands
Delete a brand
Delete a brand by brand ID.
DELETE
/
brands
/
{brand_id}
JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
await client.brands.delete('brand_id');import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.brands.delete(
"brand_id",
)package main
import (
"context"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Brands.Delete(context.TODO(), "brand_id")
if err != nil {
panic(err.Error())
}
}
package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.brands.BrandDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
client.brands().delete("brand_id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
result = courier.brands.delete("brand_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$result = $client->brands->delete('brand_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using TryCourier;
using TryCourier.Models.Brands;
CourierClient client = new();
BrandDeleteParams parameters = new() { BrandID = "brand_id" };
await client.Brands.Delete(parameters);courier brands delete \
--api-key 'My API Key' \
--brand-id brand_idcurl --request DELETE \
--url https://api.courier.com/brands/{brand_id} \
--header 'Authorization: Bearer <token>'{
"message": "Example message text",
"type": "invalid_request_error"
}โI